#ifndef _IR_Pole_NLOX_H
#define _IR_Pole_NLOX_H

#include <stdio.h>
#include <stdlib.h>
#include <vector>
#include <string>
#include <iostream>
#include <cmath>

extern int DEBUG;

extern double NLF;

extern double CTA;

double Lorentz_Dot( double* a, double* b );
    
double Lambda( double x, double y, double z );

double gamma_I(std::string PID);

void II_Poles(double *pa, double *pb, double ren_scale, double *ret_val);

void FF_Poles(double* pi, double* pj, double ren_scale, double* ret_val);

void IF_Poles(double* pa, double* pi, double ren_scale, double* ret_val);

void FI_Poles(double* pi, double* pa, double ren_scale, double* ret_val);

void IFFI_Poles(double* pa, double* pi, double ren_scale, double* ret_val);

void Get_EWK_Poles( const int next, std::vector<std::string> extpars, std::vector<double> extchar, double *pp, double ren_scale, double* ccborn, double* ret_val);

void Get_QCD_Poles( const int next, std::vector<std::string> extpars, std::vector<bool> extcols, double* pp, double ren_scale, double *ccborn, double* ret_val);


#endif
