#include <complex>
#include "processconst.h"

typedef std::complex<double> mass_t;

// ProcessConst not passed as const since integral interfaces might
// have non-const behavior

// Custom B1 that puts things in terms of B0 so we don't need a
// library for tensor coefficients
std::complex<double> B1(ProcessConst & pc, double psq, mass_t m0, mass_t m1, int ep);
std::complex<double> dB1(ProcessConst & pc, double psq, mass_t m0, mass_t m1, int ep);

std::complex<double> EW_tadpole(ProcessConst & pc, int ep);
std::complex<double> EW_SigmaAZ_0(ProcessConst & pc, int ep);
std::complex<double> EW_SigmaAZ_mZ(ProcessConst & pc, int ep);
std::complex<double> EW_SigmaZZ_mZ(ProcessConst & pc, int ep);
std::complex<double> EW_SigmaW_mW(ProcessConst & pc, int ep);
std::complex<double> EW_ddp2_SigmaAA_0(ProcessConst & pc, int ep);
std::complex<double> EW_ddp2_SigmaZZ_mZ(ProcessConst & pc, int ep);
std::complex<double> EW_ddp2_SigmaW_mW(ProcessConst & pc, int ep);

std::complex<double> EW_SigmafL_mf(ProcessConst & pc, int ep,
                                   mass_t mfa, mass_t mfb,
                                   double Qf, double T3f);
std::complex<double> EW_ddp2_SigmafL_mf(ProcessConst & pc, int ep,
                                        mass_t mfa, mass_t mfb,
                                        double Qf, double T3f);
std::complex<double> EW_SigmafR_mf(ProcessConst & pc, int ep,
                                   mass_t mfa, mass_t mfb,
                                   double Qf);
std::complex<double> EW_ddp2_SigmafR_mf(ProcessConst & pc, int ep,
                                        mass_t mfa, mass_t mfb,
                                        double Qf);
std::complex<double> EW_SigmafS_mf(ProcessConst & pc, int ep,
                                   mass_t mfa, mass_t mfb,
                                   double Qf, double T3f);
std::complex<double> EW_ddp2_SigmafS_mf(ProcessConst & pc, int ep,
                                        mass_t mfa, mass_t mfb,
                                        double Qf, double T3f);

std::complex<double> EW_SigmaH_mH(ProcessConst & pc, int ep);
std::complex<double> EW_ddp2_SigmaH_mH(ProcessConst & pc, int ep);
std::complex<double> EW_SigmaW_0(ProcessConst & pc, int ep);
