#ifndef __CQCDLOOP_H_
#define __CQCDLOOP_H_

/*
 * Interface to QCDLoop by Ellis & Zanderighi
 *
 * NOTE:
 * As it doesn't make to much sense to provide this as a standalone
 * interface between QCDLoops and C, the functionality is directly
 * built into TRmgr. In fact, one should provide an abstract class for
 * different interfaces to scalar functions (FF alone, LoopTools as
 * extension, QCDLoops, etc.) that are implemented by different
 * classes and are initialized upon request in TRmgr. 
 *
 * TODO:
 * - underscore handling in QCDloop's object files set by autotools
 *   (and preferably removed)
 * - underscore independent implementation of the interface
 *
 */


// autotools should handle this!!
#define USCORE 

#ifdef USCORE
#define FORTSUB(f) f##_
#else
#define FORTSUB(f) f
#endif


// Fortran function definitions, shouldn't be called directly
#ifdef __cplusplus
extern "C" {
#endif

extern void FORTSUB(qlinit)();

extern void FORTSUB(qlsi1)(double*, double*, double[], double[]);

extern void FORTSUB(qlsi2)(double*, double*, double*, double*, double[], double[]);

extern void FORTSUB(qlsi3)(double*, double*, double*, double*, double*, double*, double*, 
               double[], double[]);

extern void FORTSUB(qlsi4)(double*, double*, double*, double*, double*, double*,
               double*, double*, double*, double*, double*, double[], double[]);

#ifdef __cplusplus
}
#endif


#endif // __CQCDLOOP_H_
